5

I have CiviCRM (5.21.2) installed on WordPress site. When testing our CiviMail messages on https://www.mail-tester.com/ we are marked down by 1.7 when we use tracked links. If we turn off tracking, we get full marks. Mail Tester marks us down for the following reason:

URI_WP_HACKED_2 URI for compromised WordPress site, possible malware

Has anyone else experienced this issue?

Googling the error, some people report that "SpamAssassin treats any email with a common WP path in a link URL as suspicious. If enough other points are added, it can flag the message as likely-SPAM."

Because URLs are rewritten when tracking, it sounds like this would be a problem for anyone using tracking in WordPress since the URLs are rewritten like /wp-content/plugins/civicrm/civicrm/extern/url.php?u=1&qid=2

Has anyone found a solution for this?

5

This is a known issue with all scripts in CiviCRM's extern directory - pointing directly to a PHP script inside wp-content is considered highly likely to be malicious. This will be solved out-of-the-box once the CiviCRM WP REST API Wrapper is merged into the CiviCRM WordPress plugin, but for now you probably need to install that and follow the instructions for replacing calls to those CiviCRM scripts with proper WordPress REST API calls.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.